@view-transition {
  navigation: auto;
}

.blog-page__content {
  font-family:
    ui-sans-serif,
    system-ui,
    -apple-system,
    "system-ui",
    "Segoe UI",
    Roboto,
    "Helvetica Neue",
    Arial,
    "Noto Sans",
    sans-serif,
    "Apple Color Emoji",
    "Segoe UI Emoji",
    "Segoe UI Symbol",
    "Noto Color Emoji";
  width: 65%;
  margin: 0 auto;
  max-width: var(--max-width);
  @media screen and (max-width: 1200px) {
    width: 80%;
  }

  @media screen and (max-width: 700px) {
    width: 100%;
    margin: 0;
  }
}

.blog-page__title {
  font-size: 20px;
  margin: 0;
  grid-area: title;
  color: var(--primary-100);
}

.blog-page__date {
  font-size: 12px;
  margin: 5px 0 0 0;
  grid-area: date;
  text-transform: uppercase;
  color: var(--primary-60);
}

.blog-page__posts {
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.blog-page__posts img {
  width: 100%;
  border-radius: 5px;
  height: 150px;
  object-fit: cover;
  object-position: bottom;
  grid-area: image;
  @media screen and (max-width: 600px) {
    height: 100%;
  }
}

.blog-page__post {
  background-color: var(--secondary-100);
  text-decoration: none;
  padding: 1em;
  border: 1px solid var(--primary-10);
  border-radius: 5px;
  display: grid;
  grid-template-columns: 2fr auto;
  grid-template-rows: auto auto auto;
  grid-template-areas:
    "title image"
    "excerpt image"
    "date image";
  grid-column-gap: 2em;
  box-shadow: none;
  transition:
    box-shadow 0.2s ease,
    border 0.2s ease;
  @media screen and (max-width: 600px) {
    gap: 0.5em;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    grid-template-areas:
      "title"
      "date"
      "image"
      "excerpt";
  }
}

.blog-page__post:hover {
  box-shadow: 3px 3px 0px 0px var(--primary-10);
  border: 1px solid var(--primary-20);
}

.main-content__intro {
  display: none;
}

.blog-page__date {
  @media screen and (max-width: 550px) {
    margin-bottom: 0.5em;
  }
}
.blog-page__post:not(:first-of-type) {
  padding-top: 1em;
}

.blog-page__excerpt {
  grid-area: excerpt;
  color: var(--primary-60);
  font-size: var(--font-sm);
}

.blog-page__excerpt p {
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
